Bug 190618 - Follow glibc conventions for nss modules
Follow glibc conventions for nss modules
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On: 177123
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-05-03 19:14 EDT by Xixi
Modified: 2010-10-22 00:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 13:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
samba-correct-sonames-spec.patch (2.31 KB, patch)
2007-03-27 08:04 EDT, Jose Plans
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 3381 None None None Never

  None (edit)
Comment 2 RHEL Product and Program Management 2006-08-18 12:01:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Guenther Deschner 2007-03-27 06:46:55 EDT
Can anyone in the CC: list provide a little more input on this bug?
Comment 7 Jose Plans 2007-03-27 08:02:32 EDT
Sure,
 `rpm -e --nodeps samba-common` leaves the symlinks generated during the install
(.spec) broken as we just remove them. The patch from the other Bugzilla fixes
this but wrongly name the libnss_wins*.so files using install and %{VERSION}
resulting in libnss_wins-3.0.10.so.

 
Comment 8 Jose Plans 2007-03-27 08:04:19 EDT
Created attachment 151017 [details]
samba-correct-sonames-spec.patch

Guenther,
  That's the patch I was mentioning.
Jose
Comment 9 RHEL Product and Program Management 2007-04-17 17:16:32 EDT
Although this bugzilla was approved for RHEL 4.5, we were unable
to resolve it in time to be included in the release.  Therefore
it is now proposed for RHEL 4.6.
Comment 10 RHEL Product and Program Management 2007-05-09 06:26:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Nalin Dahyabhai 2007-07-05 14:29:50 EDT
We don't have this in RHEL 5 or the development tree, so I don't think we should
do this for RHEL 4 yet.  Leaving the flags as they are so that we'll roll this
one over.
Comment 12 Pete Graner 2007-09-07 16:38:28 EDT
Per comment #11, moving to 4.7
Comment 13 RHEL Product and Program Management 2007-11-28 23:25:54 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 14 RHEL Product and Program Management 2008-09-18 15:16:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Note You need to log in before you can comment on or make changes to this bug.